Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.el.util
Class MessageFactory

    java.lang.Object
      com.sun.el.util.MessageFactory

    public final class MessageFactory

extends Object

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Jacob Hookom [jacob@hookom.net]

Field Summary
`protected static ResourceBundle` | `bundle`

Constructor Summary
`MessageFactory()`

Method Summary
`static String` | `get(String key)`
`static String` | `get(String key, Object obj0)`
`static String` | `get(String key, Object obj0, Object obj1)`
`static String` | `get(String key, Object obj0, Object obj1, Object obj2)`
`static String` | `get(String key, Object obj0, Object obj1, Object obj2, Object obj3)`
`static String` | `get(String key, Object obj0, Object obj1, Object obj2, Object obj3, Object obj4)`
`static String` | `getArray(String key, Object[] objA)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bundle

    protected static final ResourceBundle bundle

Constructor Detail

### MessageFactory

    public MessageFactory()

Method Detail

### get

    public static String get(String key)

### get

    public static String get(String key,
                             Object obj0)

### get

    public static String get(String key,
                             Object obj0,
                             Object obj1)

### get

    public static String get(String key,
                             Object obj0,
                             Object obj1,
                             Object obj2)

### get

    public static String get(String key,
                             Object obj0,
                             Object obj1,
                             Object obj2,
                             Object obj3)

### get

    public static String get(String key,
                             Object obj0,
                             Object obj1,
                             Object obj2,
                             Object obj3,
                             Object obj4)

### getArray

    public static String getArray(String key,
                                  Object[] objA)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.